From: "Göktürk Yüksek" <gokturk@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/rst-linker/
Date: Wed, 8 Jun 2016 23:59:12 +0000 (UTC) [thread overview]
Message-ID: <1465430311.4fa6deec130603d0fe3ce9196a0209481cfe366e.gokturk@gentoo> (raw)
commit: 4fa6deec130603d0fe3ce9196a0209481cfe366e
Author: Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Tue Jun 7 10:21:55 2016 +0000
Commit: Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Wed Jun 8 23:58:31 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fa6deec
dev-python/rst-linker: bump to 1.7
Closes: https://github.com/gentoo/gentoo/pull/1622
Package-Manager: portage-2.3.0_rc1
dev-python/rst-linker/Manifest | 1 +
dev-python/rst-linker/rst-linker-1.7.ebuild | 50 +++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/rst-linker/Manifest b/dev-python/rst-linker/Manifest
index 1f4355d..5637ade 100644
--- a/dev-python/rst-linker/Manifest
+++ b/dev-python/rst-linker/Manifest
@@ -1 +1,2 @@
DIST rst.linker-1.6.tar.gz 6439 SHA256 e1eab99dba26c4562f1a034bd0122f84035f0e54750b20ca1e017ed225c66a2e SHA512 f2511f2bef0ef90b9b9bcda11542e768d242cde5d617f17bec1c23cb21819510703033c63b3dda2cacae73a605de2d8930512e040c6703dd881b4dc0d7022baf WHIRLPOOL c097a20d3bd3f3cdc7aeade9a586818a47ad282877d47999de6aaa240595849b127ef84ee25e677bcfc21ce9b4b99e3e7fe7b71d8571ba465d0854b1961350c2
+DIST rst.linker-1.7.tar.gz 6798 SHA256 59038b0dce170f7d6459132a1b7358b01f71f372afbf5b1c07d0862ba4a5042e SHA512 380cd1b36a1153a6512144b7c83be75dfa95ce397437d34cb76c4c41de6266c77cf1f811f4fb0576838e10bd78e1f46394df11b0f7dc5e3fafeef36b6e8c9ba0 WHIRLPOOL 7d323528ed0c7bba5db1159eb18063a4b191d81d400c1e8d02d0dcff3265183ca4ca0d56de5c674883dc1d02ea77eb7ec83c1b08d4622f4d820f5a1702a5833b
diff --git a/dev-python/rst-linker/rst-linker-1.7.ebuild b/dev-python/rst-linker/rst-linker-1.7.ebuild
new file mode 100644
index 0000000..e0ad47d
--- /dev/null
+++ b/dev-python/rst-linker/rst-linker-1.7.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Sphinx plugin to add links and timestamps to the changelog"
+HOMEPAGE="https://github.com/jaraco/rst.linker"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.9[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ ${RDEPEND}
+ dev-python/path-py[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+ use doc && esetup.py build_sphinx
+}
+
+python_test() {
+ py.test --ignore=rst || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2016-06-08 23:59 UTC|newest]
Thread overview: 111+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-06-08 23:59 Göktürk Yüksek [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-28 16:55 [gentoo-commits] repo/gentoo:master commit in: dev-python/rst-linker/ Michał Górny
2024-06-15 19:15 Michał Górny
2024-06-13 3:51 Michał Górny
2024-06-12 21:50 Sam James
2024-06-12 21:50 Sam James
2024-06-12 14:30 Sam James
2024-05-30 4:36 Ionen Wolkens
2024-05-30 4:36 Ionen Wolkens
2024-05-30 4:36 Ionen Wolkens
2024-05-30 4:36 Ionen Wolkens
2024-05-28 22:28 Ionen Wolkens
2024-05-28 22:28 Ionen Wolkens
2024-05-11 11:06 Arthur Zamarin
2024-05-08 8:15 Michał Górny
2024-05-08 7:50 Michał Górny
2024-05-07 18:31 Arthur Zamarin
2024-04-25 0:44 Yixun Lan
2024-04-24 17:26 Arthur Zamarin
2024-04-24 14:45 Sam James
2024-04-24 14:20 Sam James
2024-04-24 14:19 Sam James
2024-04-24 14:15 Sam James
2024-04-24 14:15 Sam James
2024-04-24 13:27 Michał Górny
2024-04-22 15:29 Michał Górny
2023-05-26 21:14 Arthur Zamarin
2023-03-11 9:39 Michał Górny
2023-03-11 8:06 Arthur Zamarin
2023-02-12 19:05 Michał Górny
2023-02-07 9:26 Michał Górny
2023-01-28 7:39 Michał Górny
2022-09-25 18:35 Arthur Zamarin
2022-09-25 18:24 Arthur Zamarin
2022-08-26 16:01 Arthur Zamarin
2022-05-19 12:54 Michał Górny
2022-05-01 12:56 Michał Górny
2022-05-01 6:55 Michał Górny
2022-03-29 8:33 Michał Górny
2022-02-04 12:04 Michał Górny
2021-11-09 10:38 Michał Górny
2021-05-22 10:52 Michał Górny
2021-04-12 16:17 Michał Górny
2021-04-12 15:50 Sam James
2021-03-11 8:48 Michał Górny
2020-12-03 16:17 Louis Sautier
2020-12-02 9:53 Michał Górny
2020-12-02 9:46 Sam James
2020-11-29 17:17 Sergei Trofimovich
2020-11-29 17:11 Sergei Trofimovich
2020-11-29 17:08 Sergei Trofimovich
2020-10-29 15:33 Louis Sautier
2020-09-21 15:30 Michał Górny
2020-09-04 22:14 Louis Sautier
2020-07-27 10:02 Michał Górny
2020-07-11 8:22 Michał Górny
2020-07-11 8:22 Michał Górny
2020-07-09 7:06 Sergei Trofimovich
2020-03-29 7:31 Michał Górny
2020-02-13 14:40 Agostino Sarubbo
2020-02-08 19:32 Sergei Trofimovich
2020-02-07 13:16 Agostino Sarubbo
2020-02-07 12:12 Agostino Sarubbo
2020-02-06 21:11 Sergei Trofimovich
2020-02-06 9:04 Sergei Trofimovich
2020-02-06 8:26 Sergei Trofimovich
2020-02-06 7:51 Sergei Trofimovich
2020-02-04 21:31 Andreas Sturmlechner
2019-12-04 6:48 Aaron Bauman
2019-12-02 13:34 Louis Sautier
2019-12-02 13:34 Louis Sautier
2019-08-02 14:00 Louis Sautier
2019-08-02 8:36 Mikle Kolyada
2019-08-02 8:36 Mikle Kolyada
2019-08-01 6:34 Sergei Trofimovich
2019-08-01 6:28 Sergei Trofimovich
2019-07-30 19:22 Georgy Yakovlev
2019-07-28 14:05 Louis Sautier
2019-07-28 14:05 Louis Sautier
2018-08-18 2:52 Mikle Kolyada
2018-07-16 19:57 Michał Górny
2018-06-30 23:53 Louis Sautier
2018-06-18 10:34 Louis Sautier
2018-06-13 21:26 Mart Raudsepp
2018-05-27 16:23 Aaron Bauman
2018-05-27 16:23 Aaron Bauman
2018-04-18 14:51 Mike Gilbert
2018-02-21 17:20 Michał Górny
2017-12-04 2:30 Matt Turner
2017-11-28 20:48 Sergei Trofimovich
2017-07-02 16:01 Sergei Trofimovich
2017-07-02 15:06 Sergei Trofimovich
2017-06-17 17:24 Agostino Sarubbo
2017-06-17 15:36 Agostino Sarubbo
2017-06-16 7:57 Sergei Trofimovich
2017-05-22 14:13 Michał Górny
2017-05-22 14:13 Michał Górny
2017-05-11 18:20 Michał Górny
2017-05-11 18:20 Michał Górny
2017-05-09 16:30 Markus Meier
2017-04-07 17:00 Jeroen Roovers
2017-03-29 16:46 Tobias Klausmann
2017-03-29 9:07 Michael Weber
2017-03-23 17:32 Mike Gilbert
2017-03-23 17:26 Mike Gilbert
2017-03-22 10:02 Jeroen Roovers
2017-01-19 23:04 Mike Frysinger
2017-01-06 14:44 Jeroen Roovers
2017-01-06 11:19 Jeroen Roovers
2017-01-03 13:22 Tobias Klausmann
2016-04-30 10:19 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1465430311.4fa6deec130603d0fe3ce9196a0209481cfe366e.gokturk@gentoo \
--to=gokturk@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox